package com.fjhx.account.entity.exchange.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 结汇
 * </p>
 *
 * @author
 * @since 2023-10-24
 */
@Getter
@Setter
@TableName("exchange_settlement")
public class ExchangeSettlement extends BasePo {

    /**
     * 汇出账户
     */
    private Long accountManagementId;

    /**
     * 汇出金额
     */
    private BigDecimal amount;

    /**
     * 汇出币种
     */
    private String currency;

    /**
     * 汇入账户
     */
    private Long inAccountManagementId;

    /**
     * 汇入金额
     */
    private BigDecimal inAmount;

    /**
     * 汇率币种
     */
    private String inCurrency;

    /**
     * 汇率
     */
    private BigDecimal rate;

    /**
     * 手续费金额
     */
    private BigDecimal commissionAmount;

    /**
     * 手续费币种
     */
    private String commissionCurrency;

    /**
     * 备注
     */
    private String remarks;

}
