package com.fjhx.account.service.account;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.dto.AccountDeptRunningWaterDto;
import com.fjhx.account.entity.account.dto.AccountDeptRunningWaterSelectDto;
import com.fjhx.account.entity.account.dto.DeptExpenseDto;
import com.fjhx.account.entity.account.po.AccountDeptRunningWater;
import com.fjhx.account.entity.account.vo.AccountDeptRunningWaterVo;
import com.fjhx.account.entity.account.vo.DeptExpenseVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 部门-资金流水关联表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
public interface AccountDeptRunningWaterService extends BaseService<AccountDeptRunningWater> {

    /**
     * 部门-资金流水关联表分页
     */
    Page<DeptExpenseVo> getPage(DeptExpenseDto dto);

    /**
     * 部门-资金流水关联表明细
     */
    AccountDeptRunningWaterVo detail(Long id);

    /**
     * 部门-资金流水关联表新增
     */
    void add(AccountDeptRunningWaterDto accountDeptRunningWaterDto);

    /**
     * 部门-资金流水关联表编辑
     */
    void edit(AccountDeptRunningWaterDto accountDeptRunningWaterDto);

    /**
     * 部门-资金流水关联表删除
     */
    void delete(Long id);

    /**
     * 部门-资金流水报表
     *
     * @param dto
     * @return
     */
    List<Map<String, Object>> DeptRunningWaterReport(DeptExpenseDto dto);

    /**
     * 部门-资金流水统计（ 部门-资金流水列表）
     *
     * @param dto
     * @return
     */
    Map<String, Object> deptRunningWaterStatistics(AccountDeptRunningWaterSelectDto dto);
}
